> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Fees

> Calculates the cart fees.

<Info>
  This endpoint is available in [CoCart Plus](https://cocartapi.com/pricing/?ref=mintlify).
</Info>


## OpenAPI

````yaml api-reference/v1/openapi-cart-v1.yaml post /calculate/fees
openapi: 3.0.3
info:
  title: CoCart - Cart API v1
  version: 4.6.0
  description: API for managing shopping carts
  termsOfService: http://cocartapi.com/terms-of-conditions-polar/
  contact:
    email: support@cocartapi.com
  license:
    name: GNU General Public License v3.0
    url: http://www.gnu.org/licenses/gpl-3.0.html
servers:
  - url: '{protocol}://{host}/wp-json/cocart/v1'
    description: API v1
    variables:
      protocol:
        enum:
          - http
          - https
        default: https
      host:
        default: example-store.com
        description: Your store domain
security: []
tags:
  - name: cart
    description: Operations for managing the shopping cart
  - name: items
    description: Operations for managing cart items
  - name: coupons
    description: Operations for managing cart coupons
  - name: fees
    description: Operations for managing cart fees
  - name: shipping
    description: Operations for managing shipping methods and rates
  - name: calculate
    description: Operations for calculating cart totals
  - name: products
    description: Operations for managing products
externalDocs:
  description: Find out more about CoCart API
  url: https://docs.cocartapi.com
paths:
  /calculate/fees:
    post:
      tags:
        - calculate
      summary: Calculate cart fees
      description: Calculates the cart fees.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                set_session:
                  type: boolean
                  description: Sets the cart fees in session once calculated.
                  default: false
                return:
                  type: boolean
                  description: Returns the cart fees once calculated.
                  default: false
      responses:
        '200':
          description: Cart fees calculated successfully.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/StringResponse'
                  - $ref: '#/components/schemas/FeeArrayResponse'
        '400':
          description: Bad request - invalid parameters.
components:
  schemas:
    StringResponse:
      type: string
    FeeArrayResponse:
      type: array
      items:
        $ref: '#/components/schemas/CartFee'
    CartFee:
      type: object
      properties:
        name:
          type: string
        amount:
          type: number
        taxable:
          type: boolean
        tax_class:
          type: string
        total:
          type: number
        tax:
          type: number

````